# planUpdate

Update a plan

**Scope required:** product:write

For a complete list of input attributes see the [PlanAttributes](/developer/api-reference/types/planattributes.md) type

```graphql
mutation planUpdate ($id: ID!, $attributes: PlanAttributes!, $planFeatures: [PlanFeatureAttributes!]!) {
  planUpdate (id: $id, attributes: $attributes, planFeatures: $planFeatures) {
      errors
      plan {
        addon
        allowMultipleSubscriptions
        availableFrom
        availableTo
        basePrice
        code
        contactUsLabel
        contactUsUrl
        createdAt
        customFieldsData
        description
        hasCustomFields
        id
        internalNotes
        isAvailableNow
        isVisible
        name
        position
        pricingDescription
        productId
        productPlanName
        selfServiceBuy
        selfServiceCancel
        selfServiceRenew
        updatedAt
      }
  }
}
```

## Arguments

```json
{
  "id": "456123",
  "attributes": {
    "productId": "456123",
    "name": "",
    "code": "",
    "position": 123,
    "addon": true,
    "selfServiceBuy": true,
    "selfServiceCancel": true,
    "selfServiceRenew": true,
    "allowMultipleSubscriptions": true,
    "description": "",
    "internalNotes": "",
    "availableFrom": "2022-06-01",
    "availableTo": "2022-06-01",
    "isVisible": true,
    "featureIds": [
      "456123"
    ],
    "pricingDescription": "",
    "compatiblePlanIds": [
      "456123"
    ],
    "pricingStyle": "PlanPricingStyles",
    "contactUsLabel": "",
    "contactUsUrl": ""
  },
  "planFeatures": [
    {
      "id": "456123",
      "planId": "",
      "featureId": "",
      "value": ""
    }
  ]
}
```

| Name         | Type                                                                                    | Description |
| ------------ | --------------------------------------------------------------------------------------- | ----------- |
| id           | ID                                                                                      |             |
| attributes   | [PlanAttributes](/developer/api-reference/types/planattributes.md)                      |             |
| planFeatures | List ([PlanFeatureAttributes](/developer/api-reference/types/planfeatureattributes.md)) |             |

## Response

| Name   | Type                                           | Description |
| ------ | ---------------------------------------------- | ----------- |
| errors | List (String)                                  |             |
| plan   | [Plan](/developer/api-reference/types/plan.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/planupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
